Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class IntrastatRows
    Inherits BaseObject

    Private _IntrastatHeader As IntrastatHeader
    Private _RowIndex As Long
    Private _CustomsTariffs As CustomsTariffs
    Private _ITransactionNumber As String
    Private _ShipmentOption As ShipmentOption
    Private _ShipingCode As String
    Private _CountrySender As Country 'Szállítóllevél sorhoz tartozó ország
    Private _CountryFrom As Country 'Termékhez tartozó származási ország
    Private _Weight As Double
    Private _Area As Double
    Private _AmountHUF As Double 'SUMPrice HUF-os a szállítólevél sorból

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("IntrastatHeader - IntrastatRows", GetType(IntrastatHeader))> _
    Property IntrastatHeader As IntrastatHeader
        Get
            Return _IntrastatHeader
        End Get
        Set(value As IntrastatHeader)
            SetPropertyValue("IntrastatHeader", _IntrastatHeader, value)
        End Set
    End Property
    Property RowIndex As Long
        Get
            Return _RowIndex
        End Get
        Set(value As Long)
            SetPropertyValue("RowIndex", _RowIndex, value)
        End Set
    End Property
    Property CustomsTariffs As CustomsTariffs
        Get
            Return _CustomsTariffs
        End Get
        Set(value As CustomsTariffs)
            SetPropertyValue("CustomsTariffs", _CustomsTariffs, value)
        End Set
    End Property
    Property ITransactionNumber As String
        Get
            Return _ITransactionNumber
        End Get
        Set(value As String)
            SetPropertyValue("ITransactionNumber", _ITransactionNumber, value)
        End Set
    End Property
    Property ShipmentOption As ShipmentOption
        Get
            Return _ShipmentOption
        End Get
        Set(value As ShipmentOption)
            SetPropertyValue("ShipmentOption", _ShipmentOption, value)
        End Set
    End Property
    Property ShipingCode As String
        Get
            Return _ShipingCode
        End Get
        Set(value As String)
            SetPropertyValue("ShipingCode", _ShipingCode, value)
        End Set
    End Property
    Property CountrySender As Country
        Get
            Return _CountrySender
        End Get
        Set(value As Country)
            SetPropertyValue("CountrySender", _CountrySender, value)
        End Set
    End Property
    Property CountryFrom As Country
        Get
            Return _CountryFrom
        End Get
        Set(value As Country)
            SetPropertyValue("CountryFrom", _CountryFrom, value)
        End Set
    End Property
    Property Weight As Double
        Get
            Return _Weight
        End Get
        Set(value As Double)
            SetPropertyValue("Weight", _Weight, value)
        End Set
    End Property
    Property Area As Double
        Get
            Return _Area
        End Get
        Set(value As Double)
            SetPropertyValue("Area", _Area, value)
        End Set
    End Property
    Property AmountHUF As Double
        Get
            Return _AmountHUF
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF", _AmountHUF, value)
        End Set
    End Property
End Class
